Package org.bukkit.plugin.java

# Class JavaPluginLoader

java.lang.Object
org.bukkit.plugin.java.JavaPluginLoader

All Implemented Interfaces:
  `PluginLoader`

@Deprecated(forRemoval=true) public final class JavaPluginLoader extends Object implements PluginLoader
Deprecated, for removal: This API element is subject to removal in a future version.
Represents a Java plugin loader, allowing plugins in the form of .jar

## Constructor Summary

Constructors
Constructor
Description
`JavaPluginLoader(@NotNull Server instance)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Map<Class<? extends Event>,Set<RegisteredListener>>`
`createRegisteredListeners(@NotNull Listener listener, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates and returns registered listeners for the event classes used in this listener
`void`
`disablePlugin(@NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
Disables the specified plugin
`void`
`enablePlugin(@NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
Enables the specified plugin
`@NotNull PluginDescriptionFile`
`getPluginDescription(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads a PluginDescriptionFile from the specified file
`@NotNull Pattern[]`
`getPluginFileFilters()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a list of all filename filters expected by this PluginLoader
`@NotNull Plugin`
`loadPlugin(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads the plugin contained in the specified file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.plugin.PluginLoader

`disablePlugin`

## Constructor Details

### JavaPluginLoader

@Deprecated public JavaPluginLoader(@NotNull @NotNull Server instance)
Deprecated.
This class was not meant to be constructed explicitly

Parameters:
  `instance` - the server instance

## Method Details

### loadPlugin

@NotNull public @NotNull Plugin loadPlugin(@NotNull @NotNull File file) throws InvalidPluginException
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `PluginLoader`
Loads the plugin contained in the specified file

Specified by:
  `loadPlugin` in interface `PluginLoader`
Parameters:
  `file` - File to attempt to load
Returns:
  Plugin that was contained in the specified file, or null if unsuccessful
Throws:
  `InvalidPluginException` - Thrown when the specified file is not a plugin

### getPluginDescription

@NotNull public @NotNull PluginDescriptionFile getPluginDescription(@NotNull @NotNull File file) throws InvalidDescriptionException
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `PluginLoader`
Loads a PluginDescriptionFile from the specified file

Specified by:
  `getPluginDescription` in interface `PluginLoader`
Parameters:
  `file` - File to attempt to load from
Returns:
  A new PluginDescriptionFile loaded from the plugin.yml in the specified file
Throws:
  `InvalidDescriptionException` - If the plugin description file could not be created

### getPluginFileFilters

@NotNull public @NotNull Pattern[] getPluginFileFilters()
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `PluginLoader`
Returns a list of all filename filters expected by this PluginLoader

Specified by:
  `getPluginFileFilters` in interface `PluginLoader`
Returns:
  The filters

### createRegisteredListeners

@NotNull public @NotNull Map<Class<? extends Event>,Set<RegisteredListener>> createRegisteredListeners(@NotNull @NotNull Listener listener, @NotNull @NotNull Plugin plugin)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `PluginLoader`
Creates and returns registered listeners for the event classes used in this listener

Specified by:
  `createRegisteredListeners` in interface `PluginLoader`
Parameters:
  `listener` - The object that will handle the eventual call back
  `plugin` - The plugin to use when creating registered listeners
Returns:
  The registered listeners.

### enablePlugin

public void enablePlugin(@NotNull @NotNull Plugin plugin)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `PluginLoader`
Enables the specified plugin

Attempting to enable a plugin that is already enabled will have no effect

Specified by:
  `enablePlugin` in interface `PluginLoader`
Parameters:
  `plugin` - Plugin to enable

### disablePlugin

public void disablePlugin(@NotNull @NotNull Plugin plugin)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `PluginLoader`
Disables the specified plugin

Attempting to disable a plugin that is not enabled will have no effect

Specified by:
  `disablePlugin` in interface `PluginLoader`
Parameters:
  `plugin` - Plugin to disable